Loading...
Searching...
No Matches
EMF::EMRBEGINPATH Class Reference

EMF Begin Path. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRBEGINPATH:

## Public Member Functions

| EMRBEGINPATH (void)
| EMRBEGINPATH (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Begin Path.

Begin the current path definition.

## Constructor & Destructor Documentation

## EMRBEGINPATH() [1/2]

EMF::EMRBEGINPATH::EMRBEGINPATH | ( | void |  | ) |

inline

Create a Begin Path record.

## EMRBEGINPATH() [2/2]

EMF::EMRBEGINPATH::EMRBEGINPATH | ( | DATASTREAM & | ds | ) |

inline

Construct a BeginPath record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRBEGINPATH::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRBEGINPATH::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRBEGINPATH::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h